Debian Bug report logs - #423562
linux-image-2.6-ixp4xx: XFS-filesystem crashes

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Magnus Heinz <magnus@heinzigartig.de>

Date: Sat, 12 May 2007 21:18:01 UTC

Severity: important

Found in versions 2.6.32-28, 2.6.18-1

Fixed in versions 2.6.34-1~experimental.1, linux-2.6/2.6.32-32

Done: dann frazier <dannf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#423562; Package linux-image-2.6-ixp4xx. Full text and rfc822 format available.

Acknowledgement sent to Magnus Heinz <magnus@heinzigartig.de>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Magnus Heinz <magnus@heinzigartig.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6-ixp4xx: XFS-filesystem crashes
Date: Sat, 12 May 2007 23:16:18 +0200
[Message part 1 (text/plain, inline)]
Package: linux-image-2.6-ixp4xx
Version: 2.6.18+6
Severity: critical
Justification: causes serious data loss


linux-image-2.6-ixp4xx: XFS-filesystem crashes in rw-mode while writing
data. in ro-mode i could copy the data to a ext3-partition.
i tried xfs_repair und it found some errors and repaired them. then i mountet 
the partition again and after about 2 monutes i had the same error.

*** kernel.log
May 12 22:00:54 homeserver kernel: 0x0: ea 9d af 0b 0c 4b 5d 40 34 2c 70 bb d7 
ca d4 f7
May 12 22:00:54 homeserver kernel: Filesystem "sda3": XFS internal error 
xfs_da_do_buf(2) at line 2084 of file fs/xfs/xfs_da_btree.c.  Caller
0xbf1430dc
May 12 22:00:54 homeserver kernel: 0x0: ea 9d af 0b 0c 4b 5d 40 34 2c 70 bb d7 
ca d4 f7
May 12 22:00:54 homeserver kernel: Filesystem "sda3": XFS internal error 
xfs_da_do_buf(2) at line 2084 of file fs/xfs/xfs_da_btree.c.  Caller
0xbf1430dc
May 12 22:00:54 homeserver kernel: 0x0: ea 9d af 0b 0c 4b 5d 40 34 2c 70 bb d7 
ca d4 f7
May 12 22:00:54 homeserver kernel: Filesystem "sda3": XFS internal error 
xfs_da_do_buf(2) at line 2084 of file fs/xfs/xfs_da_btree.c.  Caller
0xbf1430dc
May 12 22:00:54 homeserver kernel: 0x0: ea 9d af 0b 0c 4b 5d 40 34 2c 70 bb d7 
ca d4 f7
May 12 22:00:54 homeserver kernel: Filesystem "sda3": XFS internal error 
xfs_da_do_buf(2) at line 2084 of file fs/xfs/xfs_da_btree.c.  Caller
0xbf1430dc
May 12 22:00:54 homeserver kernel: 0x0: ea 9d af 0b 0c 4b 5d 40 34 2c 70 bb d7 
ca d4 f7
May 12 22:00:54 homeserver kernel: Filesystem "sda3": XFS internal error 
xfs_da_do_buf(2) at line 2084 of file fs/xfs/xfs_da_btree.c.  Caller
0xbf1430dc
May 12 22:00:54 homeserver kernel: xfs_da_do_buf: bno 8388608
May 12 22:00:54 homeserver kernel: dir: inode 134217891
May 12 22:00:54 homeserver kernel: Filesystem "sda3": XFS internal error 
xfs_da_do_buf(1) at line 1992 of file fs/xfs/xfs_da_btree.c.  Caller
0xbf1430dc
May 12 22:00:54 homeserver kernel: xfs_da_do_buf: bno 8388608
May 12 22:00:54 homeserver kernel: dir: inode 134217891
May 12 22:00:54 homeserver kernel: Filesystem "sda3": XFS internal error 
xfs_da_do_buf(1) at line 1992 of file fs/xfs/xfs_da_btree.c.  Caller
0xbf1430dc

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: arm (armv5tel)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-ixp4xx
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages linux-image-2.6-ixp4xx depends on:
ii  linux-image-2.6.18 2.6.18.dfsg.1-12etch1 Linux 2.6.18 image on IXP4xx

linux-image-2.6-ixp4xx recommends no packages.

-- no debconf information
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package `linux-image-2.6-ixp4xx' to `linux-2.6'. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Sat, 13 Sep 2008 22:30:08 GMT) Full text and rfc822 format available.

Severity set to `important' from `critical' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Sat, 13 Sep 2008 22:30:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#423562; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #14 received at 423562@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Magnus Heinz <magnus@heinzigartig.de>, 423562@bugs.debian.org
Cc: Tobias Frost <tobi@coldtobi.de>
Subject: Re: Bug#423562: linux-image-2.6-ixp4xx: XFS-filesystem crashes
Date: Sun, 14 Sep 2008 11:14:51 +0300
* Magnus Heinz <magnus@heinzigartig.de> [2007-05-12 23:16]:
> Package: linux-image-2.6-ixp4xx
> 
> linux-image-2.6-ixp4xx: XFS-filesystem crashes in rw-mode while writing
> data. in ro-mode i could copy the data to a ext3-partition.
> i tried xfs_repair und it found some errors and repaired them. then i mountet 
> the partition again and after about 2 monutes i had the same error.

XFS is known to have problems on ARM.  We put the following fix into
the 2.6.26-1 kernel:

  * [arm] xfs: pack some shortform dir2 structures for the ARM old ABI
    architecture (closes: #414932).

But even with this fix there are problems, as reported by Tobias Frost
here: http://lists.debian.org/debian-arm/2008/08/msg00155.html

Tobias Frost was going to take the lead to submit a bug report to the
XFS developers.  Tobias, what's the status of this?

Magnus, my suggestion is not to use XFS on ARM for now.

> *** kernel.log
> May 12 22:00:54 homeserver kernel: 0x0: ea 9d af 0b 0c 4b 5d 40 34 2c 70 bb d7 
> ca d4 f7
> May 12 22:00:54 homeserver kernel: Filesystem "sda3": XFS internal error 
> xfs_da_do_buf(2) at line 2084 of file fs/xfs/xfs_da_btree.c.  Caller
> 0xbf1430dc
...

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#423562; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Tobias Frost <tobi@coldtobi.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #19 received at 423562@bugs.debian.org (full text, mbox):

From: Tobias Frost <tobi@coldtobi.de>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Magnus Heinz <magnus@heinzigartig.de>, 423562@bugs.debian.org
Subject: Re: Bug#423562: linux-image-2.6-ixp4xx: XFS-filesystem crashes
Date: Tue, 16 Sep 2008 19:37:02 +0200
[Message part 1 (text/plain, inline)]
Im still on it, as I am currently heavily occupied (Master thesis needs
to be finished 'till end of this week)...
But it is still on my radar and not forgotten.

Tobias


On Sun, 2008-09-14 at 11:14 +0300, Martin Michlmayr wrote:
> * Magnus Heinz <magnus@heinzigartig.de> [2007-05-12 23:16]:
> > Package: linux-image-2.6-ixp4xx
> > 
> > linux-image-2.6-ixp4xx: XFS-filesystem crashes in rw-mode while writing
> > data. in ro-mode i could copy the data to a ext3-partition.
> > i tried xfs_repair und it found some errors and repaired them. then i mountet 
> > the partition again and after about 2 monutes i had the same error.
> 
> XFS is known to have problems on ARM.  We put the following fix into
> the 2.6.26-1 kernel:
> 
>   * [arm] xfs: pack some shortform dir2 structures for the ARM old ABI
>     architecture (closes: #414932).
> 
> But even with this fix there are problems, as reported by Tobias Frost
> here: http://lists.debian.org/debian-arm/2008/08/msg00155.html
> 
> Tobias Frost was going to take the lead to submit a bug report to the
> XFS developers.  Tobias, what's the status of this?
> 
> Magnus, my suggestion is not to use XFS on ARM for now.
> 
> > *** kernel.log
> > May 12 22:00:54 homeserver kernel: 0x0: ea 9d af 0b 0c 4b 5d 40 34 2c 70 bb d7 
> > ca d4 f7
> > May 12 22:00:54 homeserver kernel: Filesystem "sda3": XFS internal error 
> > xfs_da_do_buf(2) at line 2084 of file fs/xfs/xfs_da_btree.c.  Caller
> > 0xbf1430dc
> ...
> 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#423562; Package linux-2.6. (Tue, 07 Oct 2008 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 07 Oct 2008 14:51:03 GMT) Full text and rfc822 format available.

Message #24 received at 423562@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 423562@bugs.debian.org
Subject: upstream
Date: Tue, 7 Oct 2008 17:49:49 +0300
Tobias Frost reported this to upstream in the meantime:
http://lists.debian.org/debian-arm/2008/10/msg00007.html

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#423562; Package linux-2.6. (Tue, 01 Sep 2009 17:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 01 Sep 2009 17:27:09 GMT) Full text and rfc822 format available.

Message #29 received at 423562@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 423562@bugs.debian.org
Subject: Re: upstream
Date: Tue, 1 Sep 2009 19:25:11 +0200
On Tue, Oct 07, 2008 at 05:49:49PM +0300, Martin Michlmayr wrote:
> Tobias Frost reported this to upstream in the meantime:
> http://lists.debian.org/debian-arm/2008/10/msg00007.html

Martin, is this still an issue with 2.6.30?

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#423562; Package linux-2.6. (Mon, 16 Nov 2009 12:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 16 Nov 2009 12:33:02 GMT) Full text and rfc822 format available.

Message #34 received at 423562@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Moritz Muehlenhoff <jmm@inutil.org>, 423562@bugs.debian.org
Subject: Re: Bug#423562: upstream
Date: Mon, 16 Nov 2009 11:57:12 +0000
* Moritz Muehlenhoff <jmm@inutil.org> [2009-09-01 19:25]:
> On Tue, Oct 07, 2008 at 05:49:49PM +0300, Martin Michlmayr wrote:
> > Tobias Frost reported this to upstream in the meantime:
> > http://lists.debian.org/debian-arm/2008/10/msg00007.html
> Martin, is this still an issue with 2.6.30?

Not sure why I never responded to this (I thought I did).  Yes, this
bug is still there.
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#423562; Package linux-2.6. (Mon, 16 Nov 2009 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 16 Nov 2009 14:51:03 GMT) Full text and rfc822 format available.

Message #39 received at 423562@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Tobias Frost <tobi@coldtobi.de>, 423562@bugs.debian.org
Cc: Magnus Heinz <magnus@heinzigartig.de>
Subject: Re: Bug#423562: linux-image-2.6-ixp4xx: XFS-filesystem crashes
Date: Mon, 16 Nov 2009 14:48:24 +0000
Hi Tobias and Magnus,

I asked a XFS developer about the status of XFS on ARM a few days ago
and he sent me a patch to try.

His initial comment about the patch was that it's "kind of a big
hammer; I think that there is hope for a better, more focused API in
.33 to handle this..." but later he added: "I expected it to have a
big performance impact but it seems not to"

Are you interested in testing this patch?  If so, I can prepare a test
kernel for you.
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#423562; Package linux-2.6. (Mon, 16 Nov 2009 20:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Frost <tobi@frost.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 16 Nov 2009 20:03:03 GMT) Full text and rfc822 format available.

Message #44 received at 423562@bugs.debian.org (full text, mbox):

From: Tobias Frost <tobi@frost.de>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Tobias Frost <tobi@coldtobi.de>, 423562@bugs.debian.org, Magnus Heinz <magnus@heinzigartig.de>
Subject: Re: Bug#423562: linux-image-2.6-ixp4xx: XFS-filesystem crashes
Date: Mon, 16 Nov 2009 20:43:06 +0100
Sure. Just send me the link to the kernel and I will test it on the
weekend. 



On Mon, 2009-11-16 at 14:48 +0000, Martin Michlmayr wrote:
> Hi Tobias and Magnus,
> 
> I asked a XFS developer about the status of XFS on ARM a few days ago
> and he sent me a patch to try.
> 
> His initial comment about the patch was that it's "kind of a big
> hammer; I think that there is hope for a better, more focused API in
> .33 to handle this..." but later he added: "I expected it to have a
> big performance impact but it seems not to"
> 
> Are you interested in testing this patch?  If so, I can prepare a test
> kernel for you.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#423562; Package linux-2.6. (Tue, 17 Nov 2009 20:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 17 Nov 2009 20:57:06 GMT) Full text and rfc822 format available.

Message #49 received at 423562@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Tobias Frost <tobi@frost.de>
Cc: Tobias Frost <tobi@coldtobi.de>, 423562@bugs.debian.org, Magnus Heinz <magnus@heinzigartig.de>
Subject: Re: Bug#423562: linux-image-2.6-ixp4xx: XFS-filesystem crashes
Date: Tue, 17 Nov 2009 20:50:58 +0000
* Tobias Frost <tobi@frost.de> [2009-11-16 20:43]:
> Sure. Just send me the link to the kernel and I will test it on the
> weekend.

Here: http://merkel.debian.org/~tbm/tmp/kernel/xfs/

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#423562; Package linux-2.6. (Sat, 21 Nov 2009 12:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Frost <tobi@frost.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 21 Nov 2009 12:18:03 GMT) Full text and rfc822 format available.

Message #54 received at 423562@bugs.debian.org (full text, mbox):

From: Tobias Frost <tobi@frost.de>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Tobias Frost <tobi@coldtobi.de>, 423562@bugs.debian.org, Magnus Heinz <magnus@heinzigartig.de>
Subject: Re: Bug#423562: linux-image-2.6-ixp4xx: XFS-filesystem crashes
Date: Sat, 21 Nov 2009 13:13:57 +0100
[Message part 1 (text/plain, inline)]
I just did some testing on the kernel you supplied. Unfortunately I see
the corruptions again. They pop up when removing files. 
See the attached log for details.... 


coldtobi


On Tue, 2009-11-17 at 20:50 +0000, Martin Michlmayr wrote:
> * Tobias Frost <tobi@frost.de> [2009-11-16 20:43]:
> > Sure. Just send me the link to the kernel and I will test it on the
> > weekend.
> 
> Here: http://merkel.debian.org/~tbm/tmp/kernel/xfs/
> 

[xfs_log (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#423562; Package linux-2.6. (Sat, 21 Nov 2009 12:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 21 Nov 2009 12:42:03 GMT) Full text and rfc822 format available.

Message #59 received at 423562@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Eric Sandeen <sandeen@sandeen.net>
Cc: Tobias Frost <tobi@frost.de>, 423562@bugs.debian.org, Magnus Heinz <magnus@heinzigartig.de>
Subject: Re: Bug#423562: linux-image-2.6-ixp4xx: XFS-filesystem crashes
Date: Sat, 21 Nov 2009 12:38:29 +0000
Copying Eric Sandeen.  Eric: this is with the XFS patch that calls
flush_dcache_page() you sent me about a week ago.

* Tobias Frost <tobi@frost.de> [2009-11-21 13:13]:
> I just did some testing on the kernel you supplied. Unfortunately I see
> the corruptions again. They pop up when removing files. 
> See the attached log for details.... 
> 
> 
> coldtobi
> 
> 
> On Tue, 2009-11-17 at 20:50 +0000, Martin Michlmayr wrote:
> > * Tobias Frost <tobi@frost.de> [2009-11-16 20:43]:
> > > Sure. Just send me the link to the kernel and I will test it on the
> > > weekend.
> > 
> > Here: http://merkel.debian.org/~tbm/tmp/kernel/xfs/
> > 
> 

> thecus:/mnt# uname -a
> Linux thecus 2.6.31-1-iop32x #1 Tue Nov 17 18:16:37 UTC 2009 armv5tel GNU/Linux
> thecus:/mnt# dpkg -l xfsprogs
> Desired=Unknown/Install/Remove/Purge/Hold
> | Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
> |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
> ||/ Name           Version        Description
> +++-==============-==============-============================================
> ii  xfsprogs       3.0.4          Utilities for managing the XFS filesystem
> 
> thecus:~# mkfs.xfs /dev/md1 
> mkfs.xfs: /dev/md1 appears to contain an existing filesystem (swap).
> mkfs.xfs: Use the -f option to force overwrite.
> thecus:~# mkfs.xfs -f /dev/md1 
> meta-data=/dev/md1               isize=256    agcount=4, agsize=121988 blks
>          =                       sectsz=512   attr=2
> data     =                       bsize=4096   blocks=487952, imaxpct=25
>          =                       sunit=0      swidth=0 blks
> naming   =version 2              bsize=4096   ascii-ci=0
> log      =internal log           bsize=4096   blocks=2560, version=2
>          =                       sectsz=512   sunit=0 blks, lazy-count=0
> realtime =none                   extsz=4096   blocks=0, rtextents=0
> thecus:~# mkdir /mnt/xfs
> thecus:~# mkfs.xfs -f /dev/md1 
>             dir /mnt/xfs
> 
> thecus:~# mount /dev/md1 /mnt/xfs
> [  736.840000] SGI XFS with ACLs, security attributes, realtime, large block/inode numbers, no debug enabled
> [  736.890000] SGI XFS Quota Management subsystem
> [  736.960000] XFS mounting filesystem md1
> thecus:~# cd /mnt/xfs
> thecus:/mnt/xfs# tail -3 /var/log/syslog
> Nov 21 12:03:50 thecus kernel: [  736.890000] SGI XFS Quota Management subsystem
> Nov 21 12:03:50 thecus kernel: [  736.960000] XFS mounting filesystem md1
> Nov 21 12:03:55 thecus kernel: [  742.110000] Ending clean XFS mount for filesystem: md1
> thecus:/mnt/xfs# wget 'http://sourceforge.net/projects/ltp/files/LTP%20Source/ltp-20091031/ltp-full-20091031.tgz/download' -O ltp-full.tar.gz
> (.. lines omitted ..)
> thecus:/mnt/xfs# tar xzf ltp-full.tar.gz 
> thecus:/mnt/xfs# rm -rf ltp-full-20091031/
> rm: cannot remove directory `ltp-full-20091031/testcases/kernel/syscalls': Directory not empty
> rm: cannot remove directory `ltp-full-20091031/testcases/ballista/ballista/outfiles': Directory not empty
> rm: cannot remove directory `ltp-full-20091031/testcases/open_posix_testsuite/conformance/interfaces': Directory not empty
> rm: cannot remove directory `ltp-full-20091031/testcases/network/rpc/rpc-tirpc-full-test-suite': Directory not empty
> rm: cannot remove directory `ltp-full-20091031/testcases/open_hpi_testsuite/utils/t/epath': Directory not empty
> thecus:/mnt/xfs# dmesg
> 
> 0000:00:04.1
> [  107.750000] RPC: Registered udp transport module.
> [  107.750000] RPC: Registered tcp transport module.
> [  107.970000] Slow work thread pool: Starting up
> [  107.990000] Slow work thread pool: Ready
> [  107.990000] FS-Cache: Loaded
> [  108.260000] FS-Cache: Netfs 'nfs' registered for caching
> [  108.470000] Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
> [  736.840000] SGI XFS with ACLs, security attributes, realtime, large block/inode numbers, no debug enabled
> [  736.890000] SGI XFS Quota Management subsystem
> [  736.960000] XFS mounting filesystem md1
> [  742.110000] Ending clean XFS mount for filesystem: md1
> [ 1355.050000] c08f8000: 58 46 53 42 00 00 10 00 00 00 00 00 00 07 72 10  XFSB..........r.
> [ 1355.060000] Filesystem "md1": XFS internal error xfs_da_do_buf(2) at line 2112 of file /home/tbm/kernel/xfs/linux-2.6-2.6.31/debian/build/source_armel_none/fs/xfs/xfs_da_btree.c.  Caller 0xbf3a8130
> [ 1355.060000] 
> [ 1355.080000] Backtrace: 
> [ 1355.080000] [<c0025e20>] (dump_backtrace+0x0/0x108) from [<c00262c8>] (dump_stack+0x18/0x1c)
> [ 1355.090000]  r6:00000001 r5:bf3e7948 r4:bf3e7948
> [ 1355.090000] [<c00262b0>] (dump_stack+0x0/0x1c) from [<bf3b5158>] (xfs_error_report+0x4c/0x5c [xfs])
> [ 1355.100000] [<bf3b510c>] (xfs_error_report+0x0/0x5c [xfs]) from [<bf3b51c4>] (xfs_corruption_error+0x5c/0x68 [xfs])
> [ 1355.110000]  r4:c2de0c00
> [ 1355.110000] [<bf3b5168>] (xfs_corruption_error+0x0/0x68 [xfs]) from [<bf3a7fa8>] (xfs_da_do_buf+0x550/0x64c [xfs])
> [ 1355.130000]  r6:bf3a8130 r5:00000000 r4:c2e4f438
> [ 1355.130000] [<bf3a7a58>] (xfs_da_do_buf+0x0/0x64c [xfs]) from [<bf3a8130>] (xfs_da_read_buf+0x34/0x3c [xfs])
> [ 1355.140000] [<bf3a80fc>] (xfs_da_read_buf+0x0/0x3c [xfs]) from [<bf3ae574>] (xfs_dir2_leaf_getdents+0x478/0x8e4 [xfs])
> [ 1355.150000] [<bf3ae0fc>] (xfs_dir2_leaf_getdents+0x0/0x8e4 [xfs]) from [<bf3aa664>] (xfs_readdir+0xcc/0xe0 [xfs])
> [ 1355.160000] [<bf3aa598>] (xfs_readdir+0x0/0xe0 [xfs]) from [<bf3ddebc>] (xfs_file_readdir+0x50/0x68 [xfs])
> [ 1355.180000] [<bf3dde6c>] (xfs_file_readdir+0x0/0x68 [xfs]) from [<c00a7468>] (vfs_readdir+0x84/0xb8)
> [ 1355.190000]  r5:00000000 r4:c6ae0a60
> [ 1355.190000] [<c00a73e4>] (vfs_readdir+0x0/0xb8) from [<c00a7508>] (sys_getdents64+0x6c/0xbc)
> [ 1355.200000] [<c00a749c>] (sys_getdents64+0x0/0xbc) from [<c0021dc0>] (ret_fast_syscall+0x0/0x3c)
> [ 1355.210000]  r7:000000d9 r6:00000002 r5:00000000 r4:00026860
> [ 1355.960000] c60d7000: 58 46 53 42 00 00 10 00 00 00 00 00 00 07 72 10  XFSB..........r.
> [ 1355.960000] Filesystem "md1": XFS internal error xfs_da_do_buf(2) at line 2112 of file /home/tbm/kernel/xfs/linux-2.6-2.6.31/debian/build/source_armel_none/fs/xfs/xfs_da_btree.c.  Caller 0xbf3a8130
> [ 1355.960000] 
> [ 1355.990000] Backtrace: 
> [ 1355.990000] [<c0025e20>] (dump_backtrace+0x0/0x108) from [<c00262c8>] (dump_stack+0x18/0x1c)
> [ 1355.990000]  r6:00000001 r5:bf3e7948 r4:bf3e7948
> [ 1356.000000] [<c00262b0>] (dump_stack+0x0/0x1c) from [<bf3b5158>] (xfs_error_report+0x4c/0x5c [xfs])
> [ 1356.010000] [<bf3b510c>] (xfs_error_report+0x0/0x5c [xfs]) from [<bf3b51c4>] (xfs_corruption_error+0x5c/0x68 [xfs])
> [ 1356.020000]  r4:c2de0c00
> [ 1356.020000] [<bf3b5168>] (xfs_corruption_error+0x0/0x68 [xfs]) from [<bf3a7fa8>] (xfs_da_do_buf+0x550/0x64c [xfs])
> [ 1356.030000]  r6:bf3a8130 r5:00000000 r4:c2e4f438
> [ 1356.040000] [<bf3a7a58>] (xfs_da_do_buf+0x0/0x64c [xfs]) from [<bf3a8130>] (xfs_da_read_buf+0x34/0x3c [xfs])
> [ 1356.050000] [<bf3a80fc>] (xfs_da_read_buf+0x0/0x3c [xfs]) from [<bf3ae574>] (xfs_dir2_leaf_getdents+0x478/0x8e4 [xfs])
> [ 1356.060000] [<bf3ae0fc>] (xfs_dir2_leaf_getdents+0x0/0x8e4 [xfs]) from [<bf3aa664>] (xfs_readdir+0xcc/0xe0 [xfs])
> [ 1356.070000] [<bf3aa598>] (xfs_readdir+0x0/0xe0 [xfs]) from [<bf3ddebc>] (xfs_file_readdir+0x50/0x68 [xfs])
> [ 1356.080000] [<bf3dde6c>] (xfs_file_readdir+0x0/0x68 [xfs]) from [<c00a7468>] (vfs_readdir+0x84/0xb8)
> [ 1356.090000]  r5:00000000 r4:c7089920
> [ 1356.100000] [<c00a73e4>] (vfs_readdir+0x0/0xb8) from [<c00a7508>] (sys_getdents64+0x6c/0xbc)
> [ 1356.110000] [<c00a749c>] (sys_getdents64+0x0/0xbc) from [<c0021dc0>] (ret_fast_syscall+0x0/0x3c)
> [ 1356.110000]  r7:000000d9 r6:00000002 r5:00000000 r4:00027ba0
> [ 1357.760000] c63be000: 58 46 53 42 00 00 10 00 00 00 00 00 00 07 72 10  XFSB..........r.
> [ 1357.770000] Filesystem "md1": XFS internal error xfs_da_do_buf(2) at line 2112 of file /home/tbm/kernel/xfs/linux-2.6-2.6.31/debian/build/source_armel_none/fs/xfs/xfs_da_btree.c.  Caller 0xbf3a8130
> [ 1357.770000] 
> [ 1357.790000] Backtrace: 
> [ 1357.790000] [<c0025e20>] (dump_backtrace+0x0/0x108) from [<c00262c8>] (dump_stack+0x18/0x1c)
> [ 1357.800000]  r6:00000001 r5:bf3e7948 r4:bf3e7948
> [ 1357.810000] [<c00262b0>] (dump_stack+0x0/0x1c) from [<bf3b5158>] (xfs_error_report+0x4c/0x5c [xfs])
> [ 1357.820000] [<bf3b510c>] (xfs_error_report+0x0/0x5c [xfs]) from [<bf3b51c4>] (xfs_corruption_error+0x5c/0x68 [xfs])
> [ 1357.830000]  r4:c2de0c00
> [ 1357.830000] [<bf3b5168>] (xfs_corruption_error+0x0/0x68 [xfs]) from [<bf3a7fa8>] (xfs_da_do_buf+0x550/0x64c [xfs])
> [ 1357.850000]  r6:bf3a8130 r5:00000000 r4:c2e4f438
> [ 1357.850000] [<bf3a7a58>] (xfs_da_do_buf+0x0/0x64c [xfs]) from [<bf3a8130>] (xfs_da_read_buf+0x34/0x3c [xfs])
> [ 1357.860000] [<bf3a80fc>] (xfs_da_read_buf+0x0/0x3c [xfs]) from [<bf3ae574>] (xfs_dir2_leaf_getdents+0x478/0x8e4 [xfs])
> [ 1357.880000] [<bf3ae0fc>] (xfs_dir2_leaf_getdents+0x0/0x8e4 [xfs]) from [<bf3aa664>] (xfs_readdir+0xcc/0xe0 [xfs])
> [ 1357.890000] [<bf3aa598>] (xfs_readdir+0x0/0xe0 [xfs]) from [<bf3ddebc>] (xfs_file_readdir+0x50/0x68 [xfs])
> [ 1357.900000] [<bf3dde6c>] (xfs_file_readdir+0x0/0x68 [xfs]) from [<c00a7468>] (vfs_readdir+0x84/0xb8)
> [ 1357.910000]  r5:00000000 r4:c620dea0
> [ 1357.920000] [<c00a73e4>] (vfs_readdir+0x0/0xb8) from [<c00a7508>] (sys_getdents64+0x6c/0xbc)
> [ 1357.930000] [<c00a749c>] (sys_getdents64+0x0/0xbc) from [<c0021dc0>] (ret_fast_syscall+0x0/0x3c)
> [ 1357.940000]  r7:000000d9 r6:00000002 r5:00000000 r4:00027be0
> [ 1359.740000] c60d7000: 58 46 53 42 00 00 10 00 00 00 00 00 00 07 72 10  XFSB..........r.
> [ 1359.760000] Filesystem "md1": XFS internal error xfs_da_do_buf(2) at line 2112 of file /home/tbm/kernel/xfs/linux-2.6-2.6.31/debian/build/source_armel_none/fs/xfs/xfs_da_btree.c.  Caller 0xbf3a8130
> [ 1359.760000] 
> [ 1359.780000] Backtrace: 
> [ 1359.780000] [<c0025e20>] (dump_backtrace+0x0/0x108) from [<c00262c8>] (dump_stack+0x18/0x1c)
> [ 1359.790000]  r6:00000001 r5:bf3e7948 r4:bf3e7948
> [ 1359.790000] [<c00262b0>] (dump_stack+0x0/0x1c) from [<bf3b5158>] (xfs_error_report+0x4c/0x5c [xfs])
> [ 1359.800000] [<bf3b510c>] (xfs_error_report+0x0/0x5c [xfs]) from [<bf3b51c4>] (xfs_corruption_error+0x5c/0x68 [xfs])
> [ 1359.820000]  r4:c2de0c00
> [ 1359.820000] [<bf3b5168>] (xfs_corruption_error+0x0/0x68 [xfs]) from [<bf3a7fa8>] (xfs_da_do_buf+0x550/0x64c [xfs])
> [ 1359.830000]  r6:bf3a8130 r5:00000000 r4:c2e4f438
> [ 1359.840000] [<bf3a7a58>] (xfs_da_do_buf+0x0/0x64c [xfs]) from [<bf3a8130>] (xfs_da_read_buf+0x34/0x3c [xfs])
> [ 1359.850000] [<bf3a80fc>] (xfs_da_read_buf+0x0/0x3c [xfs]) from [<bf3ae574>] (xfs_dir2_leaf_getdents+0x478/0x8e4 [xfs])
> [ 1359.860000] [<bf3ae0fc>] (xfs_dir2_leaf_getdents+0x0/0x8e4 [xfs]) from [<bf3aa664>] (xfs_readdir+0xcc/0xe0 [xfs])
> [ 1359.880000] [<bf3aa598>] (xfs_readdir+0x0/0xe0 [xfs]) from [<bf3ddebc>] (xfs_file_readdir+0x50/0x68 [xfs])
> [ 1359.890000] [<bf3dde6c>] (xfs_file_readdir+0x0/0x68 [xfs]) from [<c00a7468>] (vfs_readdir+0x84/0xb8)
> [ 1359.900000]  r5:00000000 r4:c620dc20
> [ 1359.900000] [<c00a73e4>] (vfs_readdir+0x0/0xb8) from [<c00a7508>] (sys_getdents64+0x6c/0xbc)
> [ 1359.910000] [<c00a749c>] (sys_getdents64+0x0/0xbc) from [<c0021dc0>] (ret_fast_syscall+0x0/0x3c)
> [ 1359.920000]  r7:000000d9 r6:00000002 r5:00000000 r4:0001fc50
> [ 1360.280000] c08f8000: 58 46 53 42 00 00 10 00 00 00 00 00 00 07 72 10  XFSB..........r.
> [ 1360.300000] Filesystem "md1": XFS internal error xfs_da_do_buf(2) at line 2112 of file /home/tbm/kernel/xfs/linux-2.6-2.6.31/debian/build/source_armel_none/fs/xfs/xfs_da_btree.c.  Caller 0xbf3a8130
> [ 1360.300000] 
> [ 1360.320000] Backtrace: 
> [ 1360.320000] [<c0025e20>] (dump_backtrace+0x0/0x108) from [<c00262c8>] (dump_stack+0x18/0x1c)
> [ 1360.320000]  r6:00000001 r5:bf3e7948 r4:bf3e7948
> [ 1360.330000] [<c00262b0>] (dump_stack+0x0/0x1c) from [<bf3b5158>] (xfs_error_report+0x4c/0x5c [xfs])
> [ 1360.340000] [<bf3b510c>] (xfs_error_report+0x0/0x5c [xfs]) from [<bf3b51c4>] (xfs_corruption_error+0x5c/0x68 [xfs])
> [ 1360.350000]  r4:c2de0c00
> [ 1360.360000] [<bf3b5168>] (xfs_corruption_error+0x0/0x68 [xfs]) from [<bf3a7fa8>] (xfs_da_do_buf+0x550/0x64c [xfs])
> [ 1360.370000]  r6:bf3a8130 r5:00000000 r4:c2e4f438
> [ 1360.370000] [<bf3a7a58>] (xfs_da_do_buf+0x0/0x64c [xfs]) from [<bf3a8130>] (xfs_da_read_buf+0x34/0x3c [xfs])
> [ 1360.390000] [<bf3a80fc>] (xfs_da_read_buf+0x0/0x3c [xfs]) from [<bf3ae574>] (xfs_dir2_leaf_getdents+0x478/0x8e4 [xfs])
> [ 1360.400000] [<bf3ae0fc>] (xfs_dir2_leaf_getdents+0x0/0x8e4 [xfs]) from [<bf3aa664>] (xfs_readdir+0xcc/0xe0 [xfs])
> [ 1360.410000] [<bf3aa598>] (xfs_readdir+0x0/0xe0 [xfs]) from [<bf3ddebc>] (xfs_file_readdir+0x50/0x68 [xfs])
> [ 1360.420000] [<bf3dde6c>] (xfs_file_readdir+0x0/0x68 [xfs]) from [<c00a7468>] (vfs_readdir+0x84/0xb8)
> [ 1360.440000]  r5:00000000 r4:c56215c0
> [ 1360.440000] [<c00a73e4>] (vfs_readdir+0x0/0xb8) from [<c00a7508>] (sys_getdents64+0x6c/0xbc)
> [ 1360.450000] [<c00a749c>] (sys_getdents64+0x0/0xbc) from [<c0021dc0>] (ret_fast_syscall+0x0/0x3c)
> [ 1360.460000]  r7:000000d9 r6:00000002 r5:00000000 r4:00027c70
> 
> thecus:/mnt# cd ..
> thecus:/mnt# umount xfs
> thecus:/mnt# mount /mnt/xfs
> 
> (note: no error!)
> Then i cd into the tree and travelled down a few directories... dmesg:
> [ 1597.350000] XFS mounting filesystem md1
> [ 1597.530000] Ending clean XFS mount for filesystem: md1
> [ 1627.470000] c6351000: 58 46 53 42 00 00 10 00 00 00 00 00 00 07 72 10  XFSB..........r.
> [ 1627.470000] Filesystem "md1": XFS internal error xfs_da_do_buf(2) at line 2112 of file /home/tbm/kernel/xfs/linux-2.6-2.6.31/debian/build/source_armel_none/fs/xfs/xfs_da_btree.c.  Caller 0xbf3a8130
> [ 1627.470000] 
> [ 1627.500000] Backtrace: 
> [ 1627.500000] [<c0025e20>] (dump_backtrace+0x0/0x108) from [<c00262c8>] (dump_stack+0x18/0x1c)
> [ 1627.510000]  r6:00000001 r5:bf3e7948 r4:bf3e7948
> [ 1627.510000] [<c00262b0>] (dump_stack+0x0/0x1c) from [<bf3b5158>] (xfs_error_report+0x4c/0x5c [xfs])
> [ 1627.520000] [<bf3b510c>] (xfs_error_report+0x0/0x5c [xfs]) from [<bf3b51c4>] (xfs_corruption_error+0x5c/0x68 [xfs])
> [ 1627.530000]  r4:c2de0c00
> [ 1627.530000] [<bf3b5168>] (xfs_corruption_error+0x0/0x68 [xfs]) from [<bf3a7fa8>] (xfs_da_do_buf+0x550/0x64c [xfs])
> [ 1627.550000]  r6:bf3a8130 r5:00000000 r4:c7707438
> [ 1627.550000] [<bf3a7a58>] (xfs_da_do_buf+0x0/0x64c [xfs]) from [<bf3a8130>] (xfs_da_read_buf+0x34/0x3c [xfs])
> [ 1627.560000] [<bf3a80fc>] (xfs_da_read_buf+0x0/0x3c [xfs]) from [<bf3ae574>] (xfs_dir2_leaf_getdents+0x478/0x8e4 [xfs])
> [ 1627.570000] [<bf3ae0fc>] (xfs_dir2_leaf_getdents+0x0/0x8e4 [xfs]) from [<bf3aa664>] (xfs_readdir+0xcc/0xe0 [xfs])
> [ 1627.580000] [<bf3aa598>] (xfs_readdir+0x0/0xe0 [xfs]) from [<bf3ddebc>] (xfs_file_readdir+0x50/0x68 [xfs])
> [ 1627.590000] [<bf3dde6c>] (xfs_file_readdir+0x0/0x68 [xfs]) from [<c00a7468>] (vfs_readdir+0x84/0xb8)
> [ 1627.600000]  r5:00000000 r4:c620d3a0
> [ 1627.610000] [<c00a73e4>] (vfs_readdir+0x0/0xb8) from [<c00a7508>] (sys_getdents64+0x6c/0xbc)
> [ 1627.620000] [<c00a749c>] (sys_getdents64+0x0/0xbc) from [<c0021dc0>] (ret_fast_syscall+0x0/0x3c)
> [ 1627.630000]  r7:000000d9 r6:001cefb1 r5:00000002 r4:00251038
> [ 1627.660000] c6351000: 58 46 53 42 00 00 10 00 00 00 00 00 00 07 72 10  XFSB..........r.
> [ 1627.670000] Filesystem "md1": XFS internal error xfs_da_do_buf(2) at line 2112 of file /home/tbm/kernel/xfs/linux-2.6-2.6.31/debian/build/source_armel_none/fs/xfs/xfs_da_btree.c.  Caller 0xbf3a8130
> [ 1627.670000] 
> [ 1627.690000] Backtrace: 
> [ 1627.690000] [<c0025e20>] (dump_backtrace+0x0/0x108) from [<c00262c8>] (dump_stack+0x18/0x1c)
> [ 1627.700000]  r6:00000001 r5:bf3e7948 r4:bf3e7948
> [ 1627.700000] [<c00262b0>] (dump_stack+0x0/0x1c) from [<bf3b5158>] (xfs_error_report+0x4c/0x5c [xfs])
> [ 1627.710000] [<bf3b510c>] (xfs_error_report+0x0/0x5c [xfs]) from [<bf3b51c4>] (xfs_corruption_error+0x5c/0x68 [xfs])
> [ 1627.720000]  r4:c2de0c00
> [ 1627.730000] [<bf3b5168>] (xfs_corruption_error+0x0/0x68 [xfs]) from [<bf3a7fa8>] (xfs_da_do_buf+0x550/0x64c [xfs])
> [ 1627.740000]  r6:bf3a8130 r5:00000000 r4:c7707438
> [ 1627.740000] [<bf3a7a58>] (xfs_da_do_buf+0x0/0x64c [xfs]) from [<bf3a8130>] (xfs_da_read_buf+0x34/0x3c [xfs])
> [ 1627.750000] [<bf3a80fc>] (xfs_da_read_buf+0x0/0x3c [xfs]) from [<bf3ae574>] (xfs_dir2_leaf_getdents+0x478/0x8e4 [xfs])
> [ 1627.770000] [<bf3ae0fc>] (xfs_dir2_leaf_getdents+0x0/0x8e4 [xfs]) from [<bf3aa664>] (xfs_readdir+0xcc/0xe0 [xfs])
> [ 1627.780000] [<bf3aa598>] (xfs_readdir+0x0/0xe0 [xfs]) from [<bf3ddebc>] (xfs_file_readdir+0x50/0x68 [xfs])
> [ 1627.790000] [<bf3dde6c>] (xfs_file_readdir+0x0/0x68 [xfs]) from [<c00a7468>] (vfs_readdir+0x84/0xb8)
> [ 1627.800000]  r5:00000000 r4:c70894a0
> [ 1627.800000] [<c00a73e4>] (vfs_readdir+0x0/0xb8) from [<c00a7508>] (sys_getdents64+0x6c/0xbc)
> [ 1627.810000] [<c00a749c>] (sys_getdents64+0x0/0xbc) from [<c0021dc0>] (ret_fast_syscall+0x0/0x3c)
> [ 1627.820000]  r7:000000d9 r6:0024e81a r5:00000075 r4:00251038
> 
> thecus:/mnt# umount xfs
> thecus:/mnt# mount  /dev/md1 /mnt/xfs
> mount: /dev/md1: can't read superblock
> thecus:/mnt# xfs_check /dev/md1
> ERROR: The filesystem has valuable metadata changes in a log which needs to
> be replayed.  Mount the filesystem to replay the log, and unmount it before
> re-running xfs_check.  If you are unable to mount the filesystem, then use
> the xfs_repair -L option to destroy the log and attempt a repair.
> Note that destroying the log may cause corruption -- please attempt a mount
> thecus:/mnt# xfs_repair /dev/md1
> Phase 1 - find and verify superblock...
> Phase 2 - using internal log
>         - zero log...
> ERROR: The filesystem has valuable metadata changes in a log which needs to
> be replayed.  Mount the filesystem to replay the log, and unmount it before
> re-running xfs_repair.  If you are unable to mount the filesystem, then use
> the -L option to destroy the log and attempt a repair.
> Note that destroying the log may cause corruption -- please attempt a mount
> of the filesystem before doing this.
> thecus:/mnt# xfs_repair -L /dev/md1
> thecus:/mnt# xfs_repair -L /dev/md1
> Phase 1 - find and verify superblock...
> Phase 2 - using internal log
>         - zero log...
> ALERT: The filesystem has valuable metadata changes in a log which is being
> destroyed because the -L option was used.
>         - scan filesystem freespace and inode maps...
>         - found root inode chunk
> Phase 3 - for each AG...
>         - scan and clear agi unlinked lists...
>         - process known inodes and perform inode discovery...
>         - agno = 0
>         - agno = 1
>         - agno = 2
>         - agno = 3
>         - process newly discovered inodes...
> Phase 4 - check for duplicate blocks...
>         - setting up duplicate extent list...
>         - check for inodes claiming duplicate blocks...
>         - agno = 0
>         - agno = 1
>         - agno = 2
>         - agno = 3
> Phase 5 - rebuild AG headers and trees...
>         - reset superblock...
> Phase 6 - check inode connectivity...
>         - resetting contents of realtime bitmap and summary inodes
>         - traversing filesystem ...
>         - traversal finished ...
>         - moving disconnected inodes to lost+found ...
> Phase 7 - verify and correct link counts...
> done
> 
> This log hs been emitted probably at the first mounting try: (forgot to monitor syslog)
> [ 1862.770000] XFS mounting filesystem md1
> [ 1862.930000] Starting XFS recovery on filesystem: md1 (logdev: internal)
> [ 1862.950000] XFS: xlog_recover_process_data: bad clientid
> [ 1862.950000] XFS: log mount/recovery failed: error 5
> [ 1862.960000] XFS: log mount failed
> 
> thecus:/mnt# mount  /dev/md1 /mnt/xfs
> thecus:/mnt/xfs# cd ltp-full-20091031/
> thecus:/mnt/xfs/ltp-full-20091031# cd testcases/
> ballista/             network/              open_posix_testsuite/
> kernel/               open_hpi_testsuite/   
> thecus:/mnt/xfs/ltp-full-20091031# cd testcases/ballista/ballista/outfiles/
> thecus:/mnt/xfs/ltp-full-20091031/testcases/ballista/ballista/outfiles# ls
> ls: reading directory .: Structure needs cleaning
> thecus:/mnt/xfs/ltp-full-20091031/testcases/ballista/ballista/outfiles# 
> 
> boom at this point:
> [ 2218.050000] Ending clean XFS mount for filesystem: md1
> [ 2250.860000] c746c000: 58 46 53 42 00 00 10 00 00 00 00 00 00 07 72 10  XFSB..........r.
> [ 2250.860000] Filesystem "md1": XFS internal error xfs_da_do_buf(2) at line 2112 of file /home/tbm/kernel/xfs/linux-2.6-2.6.31/debian/build/source_armel_none/fs/xfs/xfs_da_btree.c.  Caller 0xbf3a8130
> [ 2250.860000] 
> [ 2250.890000] Backtrace: 
> [ 2250.890000] [<c0025e20>] (dump_backtrace+0x0/0x108) from [<c00262c8>] (dump_stack+0x18/0x1c)
> [ 2250.890000]  r6:00000001 r5:bf3e7948 r4:bf3e7948
> [ 2250.900000] [<c00262b0>] (dump_stack+0x0/0x1c) from [<bf3b5158>] (xfs_error_report+0x4c/0x5c [xfs])
> [ 2250.910000] [<bf3b510c>] (xfs_error_report+0x0/0x5c [xfs]) from [<bf3b51c4>] (xfs_corruption_error+0x5c/0x68 [xfs])
> [ 2250.920000]  r4:c2de0800
> [ 2250.920000] [<bf3b5168>] (xfs_corruption_error+0x0/0x68 [xfs]) from [<bf3a7fa8>] (xfs_da_do_buf+0x550/0x64c [xfs])
> [ 2250.930000]  r6:bf3a8130 r5:00000000 r4:c60f6438
> [ 2250.940000] [<bf3a7a58>] (xfs_da_do_buf+0x0/0x64c [xfs]) from [<bf3a8130>] (xfs_da_read_buf+0x34/0x3c [xfs])
> [ 2250.950000] [<bf3a80fc>] (xfs_da_read_buf+0x0/0x3c [xfs]) from [<bf3ae574>] (xfs_dir2_leaf_getdents+0x478/0x8e4 [xfs])
> [ 2250.960000] [<bf3ae0fc>] (xfs_dir2_leaf_getdents+0x0/0x8e4 [xfs]) from [<bf3aa664>] (xfs_readdir+0xcc/0xe0 [xfs])
> [ 2250.970000] [<bf3aa598>] (xfs_readdir+0x0/0xe0 [xfs]) from [<bf3ddebc>] (xfs_file_readdir+0x50/0x68 [xfs])
> [ 2250.980000] [<bf3dde6c>] (xfs_file_readdir+0x0/0x68 [xfs]) from [<c00a7468>] (vfs_readdir+0x84/0xb8)
> [ 2250.990000]  r5:00000000 r4:c2de27e0
> [ 2251.000000] [<c00a73e4>] (vfs_readdir+0x0/0xb8) from [<c00a7508>] (sys_getdents64+0x6c/0xbc)
> [ 2251.010000] [<c00a749c>] (sys_getdents64+0x0/0xbc) from [<c0021dc0>] (ret_fast_syscall+0x0/0x3c)
> [ 2251.020000]  r7:000000d9 r6:0002610c r5:00000000 r4:0002bb40
> 
> thecus:~# cd /mnt/
> thecus:/mnt# umount xfs

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#423562; Package linux-2.6. (Tue, 24 Nov 2009 23:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 24 Nov 2009 23:54:03 GMT) Full text and rfc822 format available.

Message #64 received at 423562@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: xfs@oss.sgi.com
Cc: xfs-masters@oss.sgi.com, Christoph Hellwig <hch@infradead.org>, Eric Sandeen <sandeen@sandeen.net>, Martin Michlmayr <tbm@cyrius.com>, "Mark J. Small" <msmall@eastlink.ca>, Tobias Frost <tobi@frost.de>, Magnus Heinz <magnus@heinzigartig.de>, debian-arm@lists.debian.org, 423562@bugs.debian.org
Subject: Re: problems with XFS on armel
Date: Wed, 25 Nov 2009 10:50:11 +1100
On Tue, Nov 24, 2009 at 10:41:31PM +0000, Martin Michlmayr wrote:
>On Tue, Nov 24, 2009 at 06:02:02PM -0400, Mark J. Small wrote:
>>My kernel is linux-image-2.6.30-2-kirkwood_2.6.30-8+orion1_armel.deb
>>from http://people.debian.org/~tbm/orion/.  I'll happily supply any
>>other info that would help track this down. Please help me get
>>reliable XFS on this armel box.
>
>I'm sorry but XFS is known to be broken on ARM.  A fix was proposed
>recently but it doesn't seem to work:
>http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=423562

Maybe the XFS folks could help.

Mark's post is available at:
http://lists.debian.org/debian-arm/2009/11/msg00103.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#423562; Package linux-2.6. (Wed, 25 Nov 2009 00:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Sandeen <sandeen@sandeen.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 25 Nov 2009 00:42:03 GMT) Full text and rfc822 format available.

Message #69 received at 423562@bugs.debian.org (full text, mbox):

From: Eric Sandeen <sandeen@sandeen.net>
To: Aníbal Monsalve Salazar <anibal@debian.org>
Cc: "xfs@oss.sgi.com" <xfs@oss.sgi.com>, "xfs-masters@oss.sgi.com" <xfs-masters@oss.sgi.com>, Christoph Hellwig <hch@infradead.org>, Martin Michlmayr <tbm@cyrius.com>, "Mark J. Small" <msmall@eastlink.ca>, Tobias Frost <tobi@frost.de>, Magnus Heinz <magnus@heinzigartig.de>, "debian-arm@lists.debian.org" <debian-arm@lists.debian.org>, "423562@bugs.debian.org" <423562@bugs.debian.org>
Subject: Re: problems with XFS on armel
Date: Tue, 24 Nov 2009 18:12:58 -0600
On Nov 24, 2009, at 5:50 PM, Aníbal Monsalve Salazar  
<anibal@debian.org> wrote:

> On Tue, Nov 24, 2009 at 10:41:31PM +0000, Martin Michlmayr wrote:
>> On Tue, Nov 24, 2009 at 06:02:02PM -0400, Mark J. Small wrote:
>>> My kernel is linux-image-2.6.30-2-kirkwood_2.6.30-8+orion1_armel.deb
>>> from http://people.debian.org/~tbm/orion/.  I'll happily supply any
>>> other info that would help track this down. Please help me get
>>> reliable XFS on this armel box.
>>
>> I'm sorry but XFS is known to be broken on ARM.  A fix was proposed
>> recently but it doesn't seem to work:
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=423562
>
> Maybe the XFS folks could help.
>
> Mark's post is available at:
> http://lists.debian.org/debian-arm/2009/11/msg00103.html
>
The never ending arm vs xfs battle... And arm keeps winning :)

I hope to be able to look into this next week...

-Eric



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#423562; Package linux-2.6. (Mon, 31 May 2010 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 31 May 2010 19:45:03 GMT) Full text and rfc822 format available.

Message #74 received at 423562@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 423562@bugs.debian.org
Cc: ben@decadent.org.uk
Subject: Re: arm debian linux kernel - XFS
Date: Mon, 31 May 2010 20:42:55 +0100
This mail is about the XFS problems reported on ARM (which also affect
hppa and sh):

* Andre Draszik <ad@...> [2010-05-27 11:41]:
> Not sure if you are the right person to approach... Sorry if not :-)
> 
> I was wondering (since you mention your debian kernel on your website)
> if you could update the debian kernel (lenny and sid?) to include the
> XFS VIVT cache fixes from
> http://git.kernel.org/?p=linux/kernel/git/jejb/xfs-vipt/.git;a=summary
> ?
> 
> They are also in Linus' tree since 2.6.34-rc1, btw.

I'm way behind on lkml mail.  Ben, do you know if these patches have
been proposed for inclusion in -stable?
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#423562; Package linux-2.6. (Mon, 31 May 2010 21:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 31 May 2010 21:09:09 GMT) Full text and rfc822 format available.

Message #79 received at 423562@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Martin Michlmayr <tbm@cyrius.com>, 423562@bugs.debian.org
Subject: Re: Bug#423562: arm debian linux kernel - XFS
Date: Mon, 31 May 2010 22:07:41 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2010-05-31 at 20:42 +0100, Martin Michlmayr wrote:
> This mail is about the XFS problems reported on ARM (which also affect
> hppa and sh):
> 
> * Andre Draszik <ad@...> [2010-05-27 11:41]:
> > Not sure if you are the right person to approach... Sorry if not :-)
> > 
> > I was wondering (since you mention your debian kernel on your website)
> > if you could update the debian kernel (lenny and sid?) to include the
> > XFS VIVT cache fixes from
> > http://git.kernel.org/?p=linux/kernel/git/jejb/xfs-vipt/.git;a=summary
> > ?
> > 
> > They are also in Linus' tree since 2.6.34-rc1, btw.
> 
> I'm way behind on lkml mail.  Ben, do you know if these patches have
> been proposed for inclusion in -stable?

Don't think it has.

We would need at least the following changes:

commit 2c9b9c8490b60428fa2d1c64042f7c7caed93940
Author: Russell King <rmk+kernel@arm.linux.org.uk>
Date:   Thu Nov 26 12:56:21 2009 +0000

    ARM: add size argument to __cpuc_flush_dcache_page

commit 9df5f74194871ebd0e51ef5ad2eca5084acaaaba
Author: James Bottomley <James.Bottomley@suse.de>
Date:   Mon Jan 25 11:42:20 2010 -0600

    mm: add coherence API for DMA to vmalloc/vmap areas

commit ef7cc35b0ee03431731186320b18e5da585341ff
Author: James Bottomley <James.Bottomley@suse.de>
Date:   Mon Jan 25 11:42:21 2010 -0600

    parisc: add mm API for DMA to vmalloc/vmap areas

commit 252a9afff76097667429b583e8b5b170b47665a4
Author: James Bottomley <James.Bottomley@suse.de>
Date:   Mon Jan 25 11:42:22 2010 -0600

    arm: add mm API for DMA to vmalloc/vmap areas

commit c9334f6067dbe0380141fc75b122e0a533878838
Author: James Bottomley <James.Bottomley@suse.de>
Date:   Mon Jan 25 11:42:23 2010 -0600

    sh: add mm API for DMA to vmalloc/vmap areas

commit 73c77e2ccc14413c232c3e0b3aa43a0c4b72ec70
Author: James Bottomley <James.Bottomley@suse.de>
Date:   Mon Jan 25 11:42:24 2010 -0600

    xfs: fix xfs to work with Virtually Indexed architectures

For the first of these, we would need confirmation from upstream that it
is suitable for backporting.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Bug Marked as found in versions 2.6.32-28. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Mon, 29 Nov 2010 17:57:06 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions 2.6.34-1~experimental.1. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Mon, 29 Nov 2010 17:57:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#423562; Package linux-2.6. (Thu, 24 Mar 2011 05:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 24 Mar 2011 05:54:03 GMT) Full text and rfc822 format available.

Message #88 received at 423562@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 423562@bugs.debian.org
Subject: Re: Bug#423562: arm debian linux kernel - XFS
Date: Thu, 24 Mar 2011 05:49:58 +0000
[Message part 1 (text/plain, inline)]
On Mon, 2010-05-31 at 22:07 +0100, Ben Hutchings wrote:
> On Mon, 2010-05-31 at 20:42 +0100, Martin Michlmayr wrote:
> > This mail is about the XFS problems reported on ARM (which also affect
> > hppa and sh):
> > 
> > * Andre Draszik <ad@...> [2010-05-27 11:41]:
> > > Not sure if you are the right person to approach... Sorry if not :-)
> > > 
> > > I was wondering (since you mention your debian kernel on your website)
> > > if you could update the debian kernel (lenny and sid?) to include the
> > > XFS VIVT cache fixes from
> > > http://git.kernel.org/?p=linux/kernel/git/jejb/xfs-vipt/.git;a=summary
> > > ?
> > > 
> > > They are also in Linus' tree since 2.6.34-rc1, btw.
> > 
> > I'm way behind on lkml mail.  Ben, do you know if these patches have
> > been proposed for inclusion in -stable?
> 
> Don't think it has.
> 
> We would need at least the following changes:
[...]
> For the first of these, we would need confirmation from upstream that it
> is suitable for backporting.

Please decide whether you want to do this; if not then we should disable
XFS on armel and hppa in squeeze.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#423562; Package linux-2.6. (Thu, 24 Mar 2011 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 24 Mar 2011 08:21:03 GMT) Full text and rfc822 format available.

Message #93 received at 423562@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 423562@bugs.debian.org
Subject: Re: Bug#423562: arm debian linux kernel - XFS
Date: Thu, 24 Mar 2011 08:18:34 +0000
* Ben Hutchings <ben@decadent.org.uk> [2011-03-24 05:49]:
> > For the first of these, we would need confirmation from upstream that it
> > is suitable for backporting.
> 
> Please decide whether you want to do this; if not then we should disable
> XFS on armel and hppa in squeeze.

I'm not planning to backport them.
-- 
Martin Michlmayr
http://www.cyrius.com/




Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Thu, 24 Mar 2011 14:27:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#423562; Package linux-2.6. (Sat, 26 Mar 2011 17:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 26 Mar 2011 17:15:07 GMT) Full text and rfc822 format available.

Message #100 received at 423562@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 423562@bugs.debian.org
Subject: Re: Bug#423562: arm debian linux kernel - XFS
Date: Sat, 26 Mar 2011 17:14:07 +0000
[Message part 1 (text/plain, inline)]
On Thu, 2011-03-24 at 08:18 +0000, Martin Michlmayr wrote:
> * Ben Hutchings <ben@decadent.org.uk> [2011-03-24 05:49]:
> > > For the first of these, we would need confirmation from upstream that it
> > > is suitable for backporting.
> > 
> > Please decide whether you want to do this; if not then we should disable
> > XFS on armel and hppa in squeeze.
> 
> I'm not planning to backport them.

OK, then it will be disabled in the next stable update.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Tue, 29 Mar 2011 02:21:03 GMT) Full text and rfc822 format available.

Notification sent to Magnus Heinz <magnus@heinzigartig.de>:
Bug acknowledged by developer. (Tue, 29 Mar 2011 02:21:03 GMT) Full text and rfc822 format available.

Message #105 received at 423562-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 423562-close@bugs.debian.org
Subject: Bug#423562: fixed in linux-2.6 2.6.32-32
Date: Tue, 29 Mar 2011 02:17:38 +0000
Source: linux-2.6
Source-Version: 2.6.32-32

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-32_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-32_all.deb
linux-2.6_2.6.32-32.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-32.diff.gz
linux-2.6_2.6.32-32.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-32.dsc
linux-base_2.6.32-32_all.deb
  to main/l/linux-2.6/linux-base_2.6.32-32_all.deb
linux-doc-2.6.32_2.6.32-32_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-32_all.deb
linux-headers-2.6.32-5-486_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-486_2.6.32-32_i386.deb
linux-headers-2.6.32-5-686-bigmem_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-686-bigmem_2.6.32-32_i386.deb
linux-headers-2.6.32-5-686_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-686_2.6.32-32_i386.deb
linux-headers-2.6.32-5-all-i386_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all-i386_2.6.32-32_i386.deb
linux-headers-2.6.32-5-all_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all_2.6.32-32_i386.deb
linux-headers-2.6.32-5-amd64_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-amd64_2.6.32-32_i386.deb
linux-headers-2.6.32-5-common-openvz_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-openvz_2.6.32-32_i386.deb
linux-headers-2.6.32-5-common-vserver_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-vserver_2.6.32-32_i386.deb
linux-headers-2.6.32-5-common-xen_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-xen_2.6.32-32_i386.deb
linux-headers-2.6.32-5-common_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common_2.6.32-32_i386.deb
linux-headers-2.6.32-5-openvz-686_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-openvz-686_2.6.32-32_i386.deb
linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-32_i386.deb
linux-headers-2.6.32-5-vserver-686_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-vserver-686_2.6.32-32_i386.deb
linux-headers-2.6.32-5-xen-686_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-xen-686_2.6.32-32_i386.deb
linux-image-2.6.32-5-486_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-486_2.6.32-32_i386.deb
linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-32_i386.deb
linux-image-2.6.32-5-686-bigmem_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-686-bigmem_2.6.32-32_i386.deb
linux-image-2.6.32-5-686_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-686_2.6.32-32_i386.deb
linux-image-2.6.32-5-amd64_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-amd64_2.6.32-32_i386.deb
linux-image-2.6.32-5-openvz-686-dbg_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-openvz-686-dbg_2.6.32-32_i386.deb
linux-image-2.6.32-5-openvz-686_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-openvz-686_2.6.32-32_i386.deb
linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-32_i386.deb
linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-32_i386.deb
linux-image-2.6.32-5-vserver-686_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-686_2.6.32-32_i386.deb
linux-image-2.6.32-5-xen-686-dbg_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-xen-686-dbg_2.6.32-32_i386.deb
linux-image-2.6.32-5-xen-686_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-xen-686_2.6.32-32_i386.deb
linux-libc-dev_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.32-32_i386.deb
linux-manual-2.6.32_2.6.32-32_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-32_all.deb
linux-patch-debian-2.6.32_2.6.32-32_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-32_all.deb
linux-source-2.6.32_2.6.32-32_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-32_all.deb
linux-support-2.6.32-5_2.6.32-32_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-5_2.6.32-32_all.deb
linux-tools-2.6.32_2.6.32-32_i386.deb
  to main/l/linux-2.6/linux-tools-2.6.32_2.6.32-32_i386.deb
xen-linux-system-2.6.32-5-xen-686_2.6.32-32_i386.deb
  to main/l/linux-2.6/xen-linux-system-2.6.32-5-xen-686_2.6.32-32_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 423562@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 27 Mar 2011 17:07:32 -0600
Source: linux-2.6
Binary: linux-tools-2.6.32 linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64-dbg xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac
 linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc
 linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-all-sparc64
Architecture: source all i386
Version: 2.6.32-32
Distribution: stable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 linux-tools-2.6.32 - Performance analysis tools for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs (meta-package)
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs (meta-package)
Closes: 423562 600957 615035 617917 618258 618309 618485 618665 619173
Changes: 
 linux-2.6 (2.6.32-32) stable; urgency=low
 .
   [ Ben Hutchings ]
   * tulip: Add support for Microsoft MN-120 PCMCIA network card
     (Closes: #617917)
   * [x86] Add vmw_pvscsi driver and enable as module, for use in VMware
     guests (Closes: #600957)
   * Add longterm release 2.6.32.33, including:
     - keyboard: Fix integer underflow bug
     - RxRPC: Fix v1 keys
     - mm: Fix possible cause of a page_mapped BUG
     - nfsd: Fix wrong index used in NFSv4 session creation
     - comedi/jr3_pci: Don't ioremap too much space. Check result.
       (Closes: #618309)
     - Defer netdev module loading changes
     For the complete list of changes, see:
      http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.33
   * Revert "drm/i915: Add pipe A force quirk for some laptops"
     (Closes: #618665; reopens: #608148)
   * scsi: Re-enable SCSI_PROC_FS (/proc/scsi directory) (Closes: #618258)
   * [vserver] Complete fix for CVE-2010-4243 (Closes: #618485)
   * [x86] quirk: Fix SB600 revision check (regression in 2.6.32.30)
   * r8169: Fix up backport of "r8169: keep firmware in memory."
     (Closes: #619173)
   * [armel,hppa] Disable XFS_FS. It did not work correctly on these
     architectures until Linux 2.6.34. (Closes: #423562)
   * btrfs, ext4: Disable FS_IOC_FIEMAP ioctl. It does not work correctly
     for extents that are subject to delayed allocation. (Closes: #615035)
   * Add longterm release 2.6.32.36, including:
     - signal: Prevent rt_sigqueueinfo and rt_tgsigqueueinfo from spoofing
       the signal code (CVE-2011-1182)
     - ext3: Skip orphan cleanup on rocompat fs
     - proc: Protect mm start_code/end_code in /proc/pid/stat
     - nfsd: Fix internal NFSv4.1 operation flags to be non-overlapping
     - nfsd: Fix wrong limit used in NFSv4 session creation
     - cdc-acm: Fix various bugs that can lead to a crash or memory corruption
     - xen-kbdfront: Advertise either absolute or relative coordinates
     For the complete list of changes, see:
      http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.36
 .
   [ dann frazier ]
   * Fix corrupted OSF partition table parsing (CVE-2011-1163)
   * xfs: prevent leaking uninitialized stack memory in FSGEOMETRY_V1
     (CVE-2011-0711)
   * Add longterm releases 2.6.32.34 and 2.6.32.35, including:
     - RDMA/cma: Fix crash in request handlers (CVE-2011-0695)
     For the complete list of changes, see:
      http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.34
      http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.35
   * drm/radeon/kms: check AA resolve registers on r300 (CVE-2011-1016)
   * Bluetooth: sco: fix information leak to userspace (CVE-2011-1078)
   * Bluetooth: bnep: fix buffer overflow (CVE-2010-1079)
   * bridge: netfilter: fix information leak (CVE-2011-1080)
   * nfs4: Ensure that ACL pages sent over NFS were not allocated from the slab
     (CVE-2011-1090)
   * netfilter: arp_tables: fix infoleak to userspace (CVE-2011-1170)
   * netfilter: ip_tables: fix infoleak to userspace (CVE-2011-1171)
   * ipv6: netfilter: ip6_tables: fix infoleak to userspace (CVE-2011-1172)
   * econet: 4 byte infoleak to the network (CVE-2011-1173)
Checksums-Sha1: 
 c44c042ee97e479b12872d92190d23c65a1e3ad3 6975 linux-2.6_2.6.32-32.dsc
 67cb78b67dbc53dd772ba97cb170aa4ebeedeb19 14601623 linux-2.6_2.6.32-32.diff.gz
 97eca6b93fb38289b1d5b2cee1ce3cebe1451bab 6054084 linux-doc-2.6.32_2.6.32-32_all.deb
 c8f0e125bf8cf3e261908fb1fb0409a7eb9ff0a0 2726648 linux-manual-2.6.32_2.6.32-32_all.deb
 68309a9f9d37cf00400a896da5b52ac136325b80 7772234 linux-patch-debian-2.6.32_2.6.32-32_all.deb
 9b5b794e6f470e4e8bcc9e55f1618eb7cc03e23c 64952302 linux-source-2.6.32_2.6.32-32_all.deb
 68b8b42ec04436671c16e0846ab57450cb8a3151 160476 linux-support-2.6.32-5_2.6.32-32_all.deb
 e683549972bd9a90799f81d1e0497644b07fecb4 148494 firmware-linux-free_2.6.32-32_all.deb
 18063f88242ba93d064d595efee495467cc0746a 170550 linux-base_2.6.32-32_all.deb
 6ca3d2534de3e93b62abbab2d9914c64f6a7368e 27323308 linux-image-2.6.32-5-486_2.6.32-32_i386.deb
 32e3d096cd9cf4f811c0ab8fba2145de232db3e0 492600 linux-headers-2.6.32-5-486_2.6.32-32_i386.deb
 7f25ff4b6b8ffa578590de3567e1501f703ca66f 27465284 linux-image-2.6.32-5-686_2.6.32-32_i386.deb
 e2021b64ca065c01b1d018380c7a9c092074c00d 493782 linux-headers-2.6.32-5-686_2.6.32-32_i386.deb
 e4e5c942a5edf5c22d1c62cba8c6740be0fc005d 27663794 linux-image-2.6.32-5-686-bigmem_2.6.32-32_i386.deb
 ff5b143285b6d71e329ae910eeb34290d22e93c4 416711362 linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-32_i386.deb
 da757fe09e95497c939227c61fd4714cdb369ac7 532460 linux-headers-2.6.32-5-686-bigmem_2.6.32-32_i386.deb
 f2ac345dcee94592578815e4e5a5cf52dbde3e51 28542530 linux-image-2.6.32-5-amd64_2.6.32-32_i386.deb
 693aa1f079ef2e1ac4aa46b1e0456bd9c909261b 488228 linux-headers-2.6.32-5-amd64_2.6.32-32_i386.deb
 47d3de1668ce201146b90c884ac1c9ebb574968a 3892824 linux-headers-2.6.32-5-common_2.6.32-32_i386.deb
 3f34f58168d3bb738988bba8a5d3e77c3b42c5eb 27805652 linux-image-2.6.32-5-openvz-686_2.6.32-32_i386.deb
 765106bb3974cbdcf6c926a9ae266349e9a0761b 492658904 linux-image-2.6.32-5-openvz-686-dbg_2.6.32-32_i386.deb
 d053b2697c419fee24eb61250191d4de1d61a496 557446 linux-headers-2.6.32-5-openvz-686_2.6.32-32_i386.deb
 2b030eb20a3626b0bc73ac34cea7edf6a548789a 3944442 linux-headers-2.6.32-5-common-openvz_2.6.32-32_i386.deb
 24ed96400a4fd7ad51406c19df79a81aba867244 143734 linux-headers-2.6.32-5-all_2.6.32-32_i386.deb
 7ca3950fb7c2620789437994f2c5d3d1470e1ff2 143786 linux-headers-2.6.32-5-all-i386_2.6.32-32_i386.deb
 6aed455f3f17072a10c17827e5f193e207541a5e 840682 linux-libc-dev_2.6.32-32_i386.deb
 9221c9ffacb3ed156564fb70a39152e20b5b1d42 317640 linux-tools-2.6.32_2.6.32-32_i386.deb
 8ee9640896f6f868522abd85a8cb362f546a9735 27520210 linux-image-2.6.32-5-vserver-686_2.6.32-32_i386.deb
 d8176b42e6cc965d71fdd815216531039c310b74 494376 linux-headers-2.6.32-5-vserver-686_2.6.32-32_i386.deb
 4f68ca46852916d8baed0e61c9ea72cf4b248c3f 27718726 linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-32_i386.deb
 87a09966a92bbb7e7a8a7720a27f120aeb0fc3a2 427209606 linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-32_i386.deb
 395297910eeb357963c5393052669f29d2888d1b 535320 linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-32_i386.deb
 297176e9ef6af56a755de6b1bb88696992fe51c3 3925838 linux-headers-2.6.32-5-common-vserver_2.6.32-32_i386.deb
 064711b1599b086b3f0b335a546dc8d41a95f1f9 27745656 linux-image-2.6.32-5-xen-686_2.6.32-32_i386.deb
 4e8e010f2b1429cfb8e0ac8b6c295a1c8d1344c9 419885080 linux-image-2.6.32-5-xen-686-dbg_2.6.32-32_i386.deb
 160978d45db68822b5f64b65fcddc51e29f2b571 535270 linux-headers-2.6.32-5-xen-686_2.6.32-32_i386.deb
 14d57417b18266611e286b0cf895b188d5a276d6 143730 xen-linux-system-2.6.32-5-xen-686_2.6.32-32_i386.deb
 9c46a1e9f4ad04d207c30c6542807d44fad31b17 3910320 linux-headers-2.6.32-5-common-xen_2.6.32-32_i386.deb
Checksums-Sha256: 
 0203e6bfcb9679a01a37593b46182b1e7f2584aef5434b3e94ddae6130c65ade 6975 linux-2.6_2.6.32-32.dsc
 27090e62d3e01eb3173b35357ae27a95269f33668784548e58cb3446dad8c67d 14601623 linux-2.6_2.6.32-32.diff.gz
 eaf5f37d726abcc485e4f3be0a0362130d3558146022427c29acdc77411c3d53 6054084 linux-doc-2.6.32_2.6.32-32_all.deb
 8eb9f3cba93e5713d785e23f1102b8b6c0c0c39b195a7d273bac0bf9c1a0e22d 2726648 linux-manual-2.6.32_2.6.32-32_all.deb
 6bb3fb000bab7bad73afcf3d3955272913640e827582744cd11939fb96dab1ad 7772234 linux-patch-debian-2.6.32_2.6.32-32_all.deb
 a645753aaf28cfc7cb05d4125e060a9250ab67368d8b331bccf0e952c8fc8ce4 64952302 linux-source-2.6.32_2.6.32-32_all.deb
 8b646993aa07e0852c3953f37b95dd6b2e459244c06376f17233795ebb0989bd 160476 linux-support-2.6.32-5_2.6.32-32_all.deb
 b7ab94815e0a1bca3edeb592fba68f6d0e2b4fa64efc44dea077bc8f3641d6f5 148494 firmware-linux-free_2.6.32-32_all.deb
 8359a618232337bf9c81148eaa8828cea1b376fd89fb77440ee537df04e07103 170550 linux-base_2.6.32-32_all.deb
 56eb469fd95c5355362de499cce9d4f5f501b98387a0a4cff85aee182e54191a 27323308 linux-image-2.6.32-5-486_2.6.32-32_i386.deb
 8e0d17f586f7a4177a1e96082d0b9c88db30f896f4f18e49eb01fc06b4178e3c 492600 linux-headers-2.6.32-5-486_2.6.32-32_i386.deb
 3e1894f1a2fa7d3e7a2e798e946e19b76ede448d38172cf499ea9721daa1b9c1 27465284 linux-image-2.6.32-5-686_2.6.32-32_i386.deb
 8ce4d8beee3c9e9c379bbd2f53eac0ee60786d6d04592f32ab6f9ba9bd13e3dd 493782 linux-headers-2.6.32-5-686_2.6.32-32_i386.deb
 bcbcb5587058b595d2a367d2ee5d3b57ceeefa8bb81a031f9846e9b76d2601e8 27663794 linux-image-2.6.32-5-686-bigmem_2.6.32-32_i386.deb
 7758f972c4222ce9fc0979c54e78371ae2bae0e8aa51a88915129713a65916f3 416711362 linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-32_i386.deb
 3cb00decf4729d23e8092b76768a973e8ef8d70a770abb1142418e365ea635c4 532460 linux-headers-2.6.32-5-686-bigmem_2.6.32-32_i386.deb
 9727732d528dcacacca1cd309aba26d0a30684a0be64219dd98a613fc50033c9 28542530 linux-image-2.6.32-5-amd64_2.6.32-32_i386.deb
 5c28ba1f2a0f857b6ab076506170aabaeeb5d0f82f66f55ec73285926b8d6c68 488228 linux-headers-2.6.32-5-amd64_2.6.32-32_i386.deb
 fff059c6ad0c630d342f419d10f15bf112546d440e42bfaad33bfaaaca6101a6 3892824 linux-headers-2.6.32-5-common_2.6.32-32_i386.deb
 10d31d3e6e1c336d49c34a8899cf2a200e3e2ee21214f92dee1e465235e0c24b 27805652 linux-image-2.6.32-5-openvz-686_2.6.32-32_i386.deb
 8d048f1f658c0b65588ae65cd21d503a4ca93a2cdd8b0496ad6a7cd09b0c7b72 492658904 linux-image-2.6.32-5-openvz-686-dbg_2.6.32-32_i386.deb
 6c94aadd6b006e39c05ffc5cc4d3539ac269e246c1a3d73800fed126310287a6 557446 linux-headers-2.6.32-5-openvz-686_2.6.32-32_i386.deb
 f5374791bd8c5058526d3145d23b25aaabfa525f8bebbea74764db93b0258bc5 3944442 linux-headers-2.6.32-5-common-openvz_2.6.32-32_i386.deb
 97b9161c9e69554c72dabfa8167a3feefb1d7b8ba0ef61d3b0507f2bff716f80 143734 linux-headers-2.6.32-5-all_2.6.32-32_i386.deb
 ffd3adb8141d25dfac4c7d012e2b40d22ee78c0ab9aebe7db5ef4144a9885785 143786 linux-headers-2.6.32-5-all-i386_2.6.32-32_i386.deb
 14067f3154a239a7f5184eed81ad094397675ebf0c60e2f429fee079a9f1c3f8 840682 linux-libc-dev_2.6.32-32_i386.deb
 918e6e1f14aeb3381938e2c7569d95bf62b118f62f275027d065d37bfee7fad2 317640 linux-tools-2.6.32_2.6.32-32_i386.deb
 86c28c44a40f26ed6842024eef8cd6a4031658fb992db75bcffd1d1223a4384b 27520210 linux-image-2.6.32-5-vserver-686_2.6.32-32_i386.deb
 aa8876c5fcfdae0836d837941c2128c01b3ec5dcab6c3b260d9ccb95f1506aa4 494376 linux-headers-2.6.32-5-vserver-686_2.6.32-32_i386.deb
 80e29ed648372726d878df376b325d35f126dfcff695a3a8d38b90f6131caa2d 27718726 linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-32_i386.deb
 e5a3fee4e4f02082d09761ccee329d2a9cc15758e217604b6bb20c5eb0e1cb80 427209606 linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-32_i386.deb
 afb8f100799ffeaf3542ad22b2a6a8cfb072110e17142bea2dba1a5fed35b888 535320 linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-32_i386.deb
 56fd1622e6876b0e694876556661f5a66a83ccbf5dab82e33aaeaee7aa79e417 3925838 linux-headers-2.6.32-5-common-vserver_2.6.32-32_i386.deb
 fcda86e42de4f2b4bff6b9fe4c07cabfeed8391f890ebcdc775e15d0c8793a9d 27745656 linux-image-2.6.32-5-xen-686_2.6.32-32_i386.deb
 c68a5d8997d1b6ffdf7b86be6de374fb62f34663ebf604b85668ac2691dfb5ea 419885080 linux-image-2.6.32-5-xen-686-dbg_2.6.32-32_i386.deb
 0cb6803043851ccd9092d5b7ba552ca4766f0ed8e1592feef251f8958779e499 535270 linux-headers-2.6.32-5-xen-686_2.6.32-32_i386.deb
 088b777c3d023ab1a17616ee148e3dea200c7e319e1e006ad35706a7ab540dd5 143730 xen-linux-system-2.6.32-5-xen-686_2.6.32-32_i386.deb
 655e0fbb1220f6cf87e8a2632dc1267d60f660387b5d67d7509e34efa6327903 3910320 linux-headers-2.6.32-5-common-xen_2.6.32-32_i386.deb
Files: 
 32c7f7b8bf66c087594529ba97ff3ff8 6975 kernel optional linux-2.6_2.6.32-32.dsc
 e9be2c137091e1ac27f759d17f59e525 14601623 kernel optional linux-2.6_2.6.32-32.diff.gz
 a781848ac07357c97927de7087a29a3d 6054084 doc optional linux-doc-2.6.32_2.6.32-32_all.deb
 b93831b04c4657e03011a1e356c306d7 2726648 doc optional linux-manual-2.6.32_2.6.32-32_all.deb
 f4900b1d7e66a0a969bf604790d62707 7772234 kernel optional linux-patch-debian-2.6.32_2.6.32-32_all.deb
 24505b77d51094637a72e0a008a87def 64952302 kernel optional linux-source-2.6.32_2.6.32-32_all.deb
 5e632b08d72cb04edb01a3c55f3e9295 160476 devel optional linux-support-2.6.32-5_2.6.32-32_all.deb
 8061126a14d25265b661ade34d0d7302 148494 kernel optional firmware-linux-free_2.6.32-32_all.deb
 9ad300512a3a5b11b0a9386e1b44b79c 170550 kernel optional linux-base_2.6.32-32_all.deb
 b15f6d0a462a4920dc191edcbfe70028 27323308 kernel optional linux-image-2.6.32-5-486_2.6.32-32_i386.deb
 b4bfecbc21984621a45d79f5f9d7344d 492600 kernel optional linux-headers-2.6.32-5-486_2.6.32-32_i386.deb
 30c50c09169b68072cdf043a328c0e3f 27465284 kernel optional linux-image-2.6.32-5-686_2.6.32-32_i386.deb
 37b07f3b9bd6841cff26baa067b917b6 493782 kernel optional linux-headers-2.6.32-5-686_2.6.32-32_i386.deb
 abbca7fc9ee02dfd04faad19218fa23f 27663794 kernel optional linux-image-2.6.32-5-686-bigmem_2.6.32-32_i386.deb
 bf2d7669684ff7eb71cdc59e255e7e40 416711362 debug extra linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-32_i386.deb
 0a6b6ae93d194211634b02b979789bf1 532460 kernel optional linux-headers-2.6.32-5-686-bigmem_2.6.32-32_i386.deb
 b140ab4073c2a33e746201d8c38c3fe3 28542530 kernel optional linux-image-2.6.32-5-amd64_2.6.32-32_i386.deb
 51456681a2f05bb11f746d8c83352709 488228 kernel optional linux-headers-2.6.32-5-amd64_2.6.32-32_i386.deb
 5deb13f7050980e468c6f3a1e7cc87f3 3892824 kernel optional linux-headers-2.6.32-5-common_2.6.32-32_i386.deb
 55b12203bb37e431f7761ba39d9e4222 27805652 kernel optional linux-image-2.6.32-5-openvz-686_2.6.32-32_i386.deb
 2ec7eb73992de7a7e999fa9273ff5538 492658904 debug extra linux-image-2.6.32-5-openvz-686-dbg_2.6.32-32_i386.deb
 91585fbd4a8d395744f08f189094a8fb 557446 kernel optional linux-headers-2.6.32-5-openvz-686_2.6.32-32_i386.deb
 bc2676331ce9ca9755879921e27d156c 3944442 kernel optional linux-headers-2.6.32-5-common-openvz_2.6.32-32_i386.deb
 1265debfc66bc05ee29a9286eda331d6 143734 kernel optional linux-headers-2.6.32-5-all_2.6.32-32_i386.deb
 c386253abccbad7e62c1647a983be825 143786 kernel optional linux-headers-2.6.32-5-all-i386_2.6.32-32_i386.deb
 7d79e75ed3e6c63b6ba61573ceefddd5 840682 devel optional linux-libc-dev_2.6.32-32_i386.deb
 c8e8254b9f1edd7d19cf2ce4e6dcc471 317640 kernel optional linux-tools-2.6.32_2.6.32-32_i386.deb
 a55aa04943d6276faa6a0f23df8fa122 27520210 kernel optional linux-image-2.6.32-5-vserver-686_2.6.32-32_i386.deb
 589720faa924279a61f06e2cbda97d2b 494376 kernel optional linux-headers-2.6.32-5-vserver-686_2.6.32-32_i386.deb
 d91c2dabd9372a9336c2736645f3b2c6 27718726 kernel optional linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-32_i386.deb
 c65180e888441509e9ff619c995daa23 427209606 debug extra linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-32_i386.deb
 44f81a63f6227af17e332f917709bae5 535320 kernel optional linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-32_i386.deb
 1a5446afe2c0c63d0918f038b7b573da 3925838 kernel optional linux-headers-2.6.32-5-common-vserver_2.6.32-32_i386.deb
 c2b754fd3fd0c643097741bb0f1d0f8a 27745656 kernel optional linux-image-2.6.32-5-xen-686_2.6.32-32_i386.deb
 205a2e5a3b92593bce7024cbd4307b84 419885080 debug extra linux-image-2.6.32-5-xen-686-dbg_2.6.32-32_i386.deb
 7e01428a4d285f5db909516d68d3b29d 535270 kernel optional linux-headers-2.6.32-5-xen-686_2.6.32-32_i386.deb
 9b2b414564f823d3e727da8f9ed6892c 143730 kernel optional xen-linux-system-2.6.32-5-xen-686_2.6.32-32_i386.deb
 1093023dca9130256f05f86e53306571 3910320 kernel optional linux-headers-2.6.32-5-common-xen_2.6.32-32_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJNkIm8AAoJEBv4PF5U/IZAed8P/1u1FhtZo+JORjjMZt9nSCk0
tv6oBAIFCJ9ztTwUOZ11qJSsBZvlA3e7rbk5bhAC0XSVylHZkzIG8VMABlzJy+Er
mIBB4TDt9F1gpODlX5DwOlyRO/aOqoByvPuffQjpoLU6cNk5qVUuG7jszz7fkdl1
2MnVjn3IId5vdbEwo5brM4YRkShcW+OH5WDhA8+Kv2iQpJ2tPOLUvI1THCZPXxsE
/4/L009sbhUooCeIV9TyV6vaIrQrZFgJeSK8WF9fYszHOHbjJ8TaEdko6gDr6Yzi
1yE6FW9zGll+yLSFf/LM/MrzS9xWZnc2kN72zZ1nqZvYlIFpgppoF04ZysBCzlOx
/+1yLOJifw4okncM1us1aDnM/0HzXzhUbUmxs0F9jWf/dP+C7GrnFKP8WYYAREkg
/XQBSFDCZ8u5XiAzSbrbGCrTR+9pn6C0PaFJmKN3nPknxuD8ZfdAfXR4jWyfKeAp
2z0unWm1C1jMOvqqmMare9ZYz0jvzQ1z29l2JCUevX6RJRSZLG7kJ2QYphmkZWy4
xc9b9+5HY52EAB3SnFOSgZJA3qEC6BGkS4U4GQJ2/1GhSaJnN+2OZQYwj+kuoos7
lDvyVjVKxeFsISlMUcSNMOV+YGmmPVF2v5nXh27v/grck0zRNSLc4S3yeckvp+V7
oKQGAourcZgFBA0o5LGz
=1Nh+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 09 May 2011 07:45:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:18:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.